diff -urN linux-2.6.0-test1/arch/m68k/kernel/traps.c linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/traps.c
--- linux-2.6.0-test1/arch/m68k/kernel/traps.c	2003-07-13 23:39:32.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/kernel/traps.c	2003-07-23 16:51:30.000000000 -0400
@@ -206,7 +206,7 @@
 	unsigned long fslw = fp->un.fmt4.pc; /* is really FSLW for access error */
 
 #ifdef DEBUG
-	printk("fslw=%#lx, fa=%#lx\n", fslw, fp->un.fmt4.effaddr);
+	printk(KERN_DEBUG "fslw=%#lx, fa=%#lx\n", fslw, fp->un.fmt4.effaddr);
 #endif
 
 	if (fslw & MMU060_BPE) {
@@ -235,7 +235,7 @@
 		if (fslw & MMU060_W)
 			errorcode |= 2;
 #ifdef DEBUG
-		printk("errorcode = %d\n", errorcode );
+		printk(KERN_DEBUG "errorcode = %d\n", errorcode );
 #endif
 		do_page_fault(&fp->ptregs, addr, errorcode);
 	} else if (fslw & (MMU060_SEE)){
@@ -244,8 +244,8 @@
 		 */
 		send_fault_sig(&fp->ptregs);
 	} else {
-		printk("pc=%#lx, fa=%#lx\n", fp->ptregs.pc, fp->un.fmt4.effaddr);
-		printk( "68060 access error, fslw=%lx\n", fslw );
+		printk(KERN_ALERT "pc=%#lx, fa=%#lx\n", fp->ptregs.pc, fp->un.fmt4.effaddr);
+		printk(KERN_ALERT "68060 access error, fslw=%lx\n", fslw );
 		trap_c( fp );
 	}
 }
@@ -297,7 +297,7 @@
 	
 
 #ifdef DEBUG
-	printk("do_040writeback1, res=%d\n",res);
+	printk(KERN_DEBUG "do_040writeback1, res=%d\n",res);
 #endif
 
 	return res;
@@ -320,7 +320,7 @@
 	int res = 0;
 #if 0
 	if (fp->un.fmt7.wb1s & WBV_040)
-		printk("access_error040: cannot handle 1st writeback. oops.\n");
+		printk(KERN_DEBUG "access_error040: cannot handle 1st writeback. oops.\n");
 #endif
 
 	if ((fp->un.fmt7.wb2s & WBV_040) &&
@@ -374,10 +374,10 @@
 	unsigned long mmusr;
 
 #ifdef DEBUG
-	printk("ssw=%#x, fa=%#lx\n", ssw, fp->un.fmt7.faddr);
-        printk("wb1s=%#x, wb2s=%#x, wb3s=%#x\n", fp->un.fmt7.wb1s,  
+	printk(KERN_DEBUG "ssw=%#x, fa=%#lx\n", ssw, fp->un.fmt7.faddr);
+        printk(KERN_DEBUG "wb1s=%#x, wb2s=%#x, wb3s=%#x\n", fp->un.fmt7.wb1s,  
 		fp->un.fmt7.wb2s, fp->un.fmt7.wb3s);
-	printk ("wb2a=%lx, wb3a=%lx, wb2d=%lx, wb3d=%lx\n", 
+	printk (KERN_DEBUG "wb2a=%lx, wb3a=%lx, wb2d=%lx, wb3d=%lx\n", 
 		fp->un.fmt7.wb2a, fp->un.fmt7.wb3a,
 		fp->un.fmt7.wb2d, fp->un.fmt7.wb3d);
 #endif
@@ -396,7 +396,7 @@
 		/* MMU error, get the MMUSR info for this access */
 		mmusr = probe040(!(ssw & RW_040), addr, ssw);
 #ifdef DEBUG
-		printk("mmusr = %lx\n", mmusr);
+		printk(KERN_DEBUG "mmusr = %lx\n", mmusr);
 #endif
 		errorcode = 1;
 		if (!(mmusr & MMU_R_040)) {
@@ -412,12 +412,12 @@
 
 		if (do_page_fault(&fp->ptregs, addr, errorcode)) {
 #ifdef DEBUG
-		        printk("do_page_fault() !=0 \n");
+		        printk(KERN_DEBUG "do_page_fault() !=0 \n");
 #endif
 			if (user_mode(&fp->ptregs)){
 				/* delay writebacks after signal delivery */
 #ifdef DEBUG
-			        printk(".. was usermode - return\n");
+			        printk(KERN_DEBUG ".. was usermode - return\n");
 #endif
 				return;
 			}
@@ -426,13 +426,13 @@
                          * the writeback won't do good)
 			 */
 #ifdef DEBUG
-			printk(".. disabling wb2\n");
+			printk(KERN_DEBUG ".. disabling wb2\n");
 #endif
 			if (fp->un.fmt7.wb2a == fp->un.fmt7.faddr)
 				fp->un.fmt7.wb2s &= ~WBV_040;
 		}
 	} else {
-		printk("68040 access error, ssw=%x\n", ssw);
+		printk(KERN_ERR "68040 access error, ssw=%x\n", ssw);
 		trap_c(fp);
 	}
 
@@ -456,13 +456,13 @@
 
 #if DEBUG
 	if (ssw & (FC | FB))
-		printk ("Instruction fault at %#010lx\n",
+		printk (KERN_DEBUG "Instruction fault at %#010lx\n",
 			ssw & FC ?
 			fp->ptregs.format == 0xa ? fp->ptregs.pc + 2 : fp->un.fmtb.baddr - 2
 			:
 			fp->ptregs.format == 0xa ? fp->ptregs.pc + 4 : fp->un.fmtb.baddr);
 	if (ssw & DF) 
-		printk ("Data %s fault at %#010lx in %s (pc=%#lx)\n",
+		printk (KERN_DEBUG "Data %s fault at %#010lx in %s (pc=%#lx)\n",
 			ssw & RW ? "read" : "write",
 			fp->un.fmtb.daddr,
 			space_names[ssw & DFC], fp->ptregs.pc);
@@ -489,7 +489,7 @@
 			  return;
 			/* instruction fault or kernel data fault! */
 			if (ssw & (FC | FB))
-				printk ("Instruction fault at %#010lx\n",
+				printk (KERN_WARNING "Instruction fault at %#010lx\n",
 					fp->ptregs.pc);
 			if (ssw & DF) {
 				/* was this fault incurred testing bus mappings? */
@@ -499,12 +499,12 @@
 					return;
 				}
 
-				printk ("Data %s fault at %#010lx in %s (pc=%#lx)\n",
+				printk (KERN_WARNING "Data %s fault at %#010lx in %s (pc=%#lx)\n",
 					ssw & RW ? "read" : "write",
 					fp->un.fmtb.daddr,
 					space_names[ssw & DFC], fp->ptregs.pc);
 			}
-			printk ("BAD KERNEL BUSERR\n");
+			printk (KERN_EMERG "BAD KERNEL BUSERR\n");
 
 			die_if_kernel("Oops", &fp->ptregs,0);
 			force_sig(SIGKILL, current);
@@ -534,8 +534,8 @@
 			errorcode = 0x00;
 		else {
 #ifdef DEBUG
-			printk ("*** unexpected busfault type=%#04x\n", buserr_type);
-			printk ("invalid %s access at %#lx from pc %#lx\n",
+			printk (KERN_DEBUG "*** unexpected busfault type=%#04x\n", buserr_type);
+			printk (KERN_DEBUG "invalid %s access at %#lx from pc %#lx\n",
 				!(ssw & RW) ? "write" : "read", addr,
 				fp->ptregs.pc);
 #endif
@@ -570,7 +570,7 @@
 			do_page_fault (&fp->ptregs, addr, 0);
        } else {
 #ifdef DEBUG
-		printk ("protection fault on insn access (segv).\n");
+		printk (KERN_DEBUG "protection fault on insn access (segv).\n");
 #endif
 		force_sig (SIGSEGV, current);
        }	
@@ -589,17 +589,17 @@
 #endif
 
 #if DEBUG
-	printk ("pid = %x  ", current->pid);
-	printk ("SSW=%#06x  ", ssw);
+	printk (KERN_DEBUG "pid = %x  ", current->pid);
+	printk (KERN_DEBUG "SSW=%#06x  ", ssw);
 
 	if (ssw & (FC | FB))
-		printk ("Instruction fault at %#010lx\n",
+		printk (KERN_DEBUG "Instruction fault at %#010lx\n",
 			ssw & FC ?
 			fp->ptregs.format == 0xa ? fp->ptregs.pc + 2 : fp->un.fmtb.baddr - 2
 			:
 			fp->ptregs.format == 0xa ? fp->ptregs.pc + 4 : fp->un.fmtb.baddr);
 	if (ssw & DF)
-		printk ("Data %s fault at %#010lx in %s (pc=%#lx)\n",
+		printk (KERN_DEBUG "Data %s fault at %#010lx in %s (pc=%#lx)\n",
 			ssw & RW ? "read" : "write",
 			fp->un.fmtb.daddr,
 			space_names[ssw & DFC], fp->ptregs.pc);
@@ -610,15 +610,15 @@
 		if (! ((ssw & DF) && ((ssw & DFC) == USER_DATA))) {
 			/* instruction fault or kernel data fault! */
 			if (ssw & (FC | FB))
-				printk ("Instruction fault at %#010lx\n",
+				printk (KERN_EMERG "Instruction fault at %#010lx\n",
 					fp->ptregs.pc);
 			if (ssw & DF) {
-				printk ("Data %s fault at %#010lx in %s (pc=%#lx)\n",
+				printk (KERN_EMERG "Data %s fault at %#010lx in %s (pc=%#lx)\n",
 					ssw & RW ? "read" : "write",
 					fp->un.fmtb.daddr,
 					space_names[ssw & DFC], fp->ptregs.pc);
 			}
-			printk ("BAD KERNEL BUSERR\n");
+			printk (KERN_EMERG "BAD KERNEL BUSERR\n");
 			die_if_kernel("Oops",&fp->ptregs,0);
 			force_sig(SIGKILL, current);
 			return;
@@ -630,7 +630,7 @@
 			panic ("USER BUSERR w/o instruction or data fault");
 		user_space_fault = 1;
 #if DEBUG
-		printk("User space bus-error\n");
+		printk(KERN_DEBUG "User space bus-error\n");
 #endif
 	}
 
@@ -658,9 +658,9 @@
 	    }
       
 #if DEBUG
-	    printk ("mmusr is %#x for addr %#lx in task %p\n",
+	    printk (KERN_DEBUG "mmusr is %#x for addr %#lx in task %p\n",
 		    mmusr, addr, current);
-	    printk ("descriptor address is %#lx, contents %#lx\n",
+	    printk (KERN_DEBUG "descriptor address is %#lx, contents %#lx\n",
 		    __va(desc), *(unsigned long *)__va(desc));
 #endif
 
@@ -674,7 +674,7 @@
 		if (do_page_fault (&fp->ptregs, addr, errorcode) < 0)
 			return;
 	    } else if (mmusr & (MMU_B|MMU_L|MMU_S)) {
-		    printk ("invalid %s access at %#lx from pc %#lx\n",
+		    printk (KERN_EMERG "invalid %s access at %#lx from pc %#lx\n",
 			    !(ssw & RW) ? "write" : "read", addr,
 			    fp->ptregs.pc);
 		    die_if_kernel("Oops",&fp->ptregs,mmusr);
@@ -685,7 +685,7 @@
 		    static volatile long tlong;
 #endif
 
-		    printk ("weird %s access at %#lx from pc %#lx (ssw is %#x)\n",
+		    printk (KERN_EMERG "weird %s access at %#lx from pc %#lx (ssw is %#x)\n",
 			    !(ssw & RW) ? "write" : "read", addr,
 			    fp->ptregs.pc, ssw);
 		    asm volatile ("ptestr #1,%1@,#0\n\t"
@@ -694,19 +694,19 @@
 				  : "a" (&temp), "a" (addr));
 		    mmusr = temp;
 
-		    printk ("level 0 mmusr is %#x\n", mmusr);
+		    printk (KERN_EMERG "level 0 mmusr is %#x\n", mmusr);
 #if 0
 		    asm volatile ("pmove %/tt0,%0@"
 				  : /* no outputs */
 				  : "a" (&tlong));
-		    printk ("tt0 is %#lx, ", tlong);
+		    printk (KERN_EMERG "tt0 is %#lx, ", tlong);
 		    asm volatile ("pmove %/tt1,%0@"
 				  : /* no outputs */
 				  : "a" (&tlong));
-		    printk ("tt1 is %#lx\n", tlong);
+		    printk (KERN_EMERG "tt1 is %#lx\n", tlong);
 #endif
 #if DEBUG
-		    printk("Unknown SIGSEGV - 1\n");
+		    printk(KERN_DEBUG "Unknown SIGSEGV - 1\n");
 #endif
 		    die_if_kernel("Oops",&fp->ptregs,mmusr);
 		    force_sig(SIGSEGV, current);
@@ -756,19 +756,19 @@
 	}
       
 #ifdef DEBUG
-	printk ("mmusr is %#x for addr %#lx in task %p\n",
+	printk (KERN_DEBUG "mmusr is %#x for addr %#lx in task %p\n",
 		mmusr, addr, current);
-	printk ("descriptor address is %#lx, contents %#lx\n",
+	printk (KERN_DEBUG "descriptor address is %#lx, contents %#lx\n",
 		__va(desc), *(unsigned long *)__va(desc));
 #endif
 
 	if (mmusr & MMU_I)
 		do_page_fault (&fp->ptregs, addr, 0);
 	else if (mmusr & (MMU_B|MMU_L|MMU_S)) {
-		printk ("invalid insn access at %#lx from pc %#lx\n",
+		printk (KERN_WARNING "invalid insn access at %#lx from pc %#lx\n",
 			addr, fp->ptregs.pc);
 #if DEBUG
-		printk("Unknown SIGSEGV - 2\n");
+		printk(KERN_DEBUG "Unknown SIGSEGV - 2\n");
 #endif
 		die_if_kernel("Oops",&fp->ptregs,mmusr);
 		force_sig(SIGSEGV, current);
@@ -790,7 +790,7 @@
 		current->thread.esp0 = (unsigned long) fp;
 
 #if DEBUG
-	printk ("*** Bus Error *** Format is %x\n", fp->ptregs.format);
+	printk (KERN_DEBUG "*** Bus Error *** Format is %x\n", fp->ptregs.format);
 #endif
 
 	switch (fp->ptregs.format) {
@@ -813,7 +813,7 @@
 	default:
 	  die_if_kernel("bad frame format",&fp->ptregs,0);
 #if DEBUG
-	  printk("Unknown SIGSEGV - 4\n");
+	  printk(KERN_DEBUG "Unknown SIGSEGV - 4\n");
 #endif
 	  force_sig(SIGSEGV, current);
 	}
@@ -828,7 +828,7 @@
 	unsigned long addr;
 	int i;
 
-	printk("Call Trace:");
+	printk(KERN_EMERG "Call Trace:");
 	addr = (unsigned long)stack + THREAD_SIZE - 1;
 	endstack = (unsigned long *)(addr & -THREAD_SIZE);
 	i = 0;
@@ -844,12 +844,12 @@
 		 */
 		if (kernel_text_address(addr)) {
 			if (i % 4 == 0)
-				printk("\n       ");
-			printk(" [<%08lx>]", addr);
+				printk(KERN_EMERG "\n       ");
+			printk(KERN_EMERG " [<%08lx>]", addr);
 			i++;
 		}
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 }
 
 void show_trace_task(struct task_struct *tsk)
@@ -864,63 +864,63 @@
 	int i;
 
 	addr = (unsigned long)&fp->un;
-	printk("Frame format=%X ", fp->ptregs.format);
+	printk(KERN_EMERG "Frame format=%X ", fp->ptregs.format);
 	switch (fp->ptregs.format) {
 	case 0x2:
-	    printk("instr addr=%08lx\n", fp->un.fmt2.iaddr);
+	    printk(KERN_EMERG "instr addr=%08lx\n", fp->un.fmt2.iaddr);
 	    addr += sizeof(fp->un.fmt2);
 	    break;
 	case 0x3:
-	    printk("eff addr=%08lx\n", fp->un.fmt3.effaddr);
+	    printk(KERN_EMERG "eff addr=%08lx\n", fp->un.fmt3.effaddr);
 	    addr += sizeof(fp->un.fmt3);
 	    break;
 	case 0x4:
-	    printk((CPU_IS_060 ? "fault addr=%08lx fslw=%08lx\n"
+	    printk(KERN_EMERG (CPU_IS_060 ? "fault addr=%08lx fslw=%08lx\n"
 		    : "eff addr=%08lx pc=%08lx\n"),
 		   fp->un.fmt4.effaddr, fp->un.fmt4.pc);
 	    addr += sizeof(fp->un.fmt4);
 	    break;
 	case 0x7:
-	    printk("eff addr=%08lx ssw=%04x faddr=%08lx\n",
+	    printk(KERN_EMERG "eff addr=%08lx ssw=%04x faddr=%08lx\n",
 		   fp->un.fmt7.effaddr, fp->un.fmt7.ssw, fp->un.fmt7.faddr);
-	    printk("wb 1 stat/addr/data: %04x %08lx %08lx\n",
+	    printk(KERN_EMERG "wb 1 stat/addr/data: %04x %08lx %08lx\n",
 		   fp->un.fmt7.wb1s, fp->un.fmt7.wb1a, fp->un.fmt7.wb1dpd0);
-	    printk("wb 2 stat/addr/data: %04x %08lx %08lx\n",
+	    printk(KERN_EMERG "wb 2 stat/addr/data: %04x %08lx %08lx\n",
 		   fp->un.fmt7.wb2s, fp->un.fmt7.wb2a, fp->un.fmt7.wb2d);
-	    printk("wb 3 stat/addr/data: %04x %08lx %08lx\n",
+	    printk(KERN_EMERG "wb 3 stat/addr/data: %04x %08lx %08lx\n",
 		   fp->un.fmt7.wb3s, fp->un.fmt7.wb3a, fp->un.fmt7.wb3d);
-	    printk("push data: %08lx %08lx %08lx %08lx\n",
+	    printk(KERN_EMERG "push data: %08lx %08lx %08lx %08lx\n",
 		   fp->un.fmt7.wb1dpd0, fp->un.fmt7.pd1, fp->un.fmt7.pd2,
 		   fp->un.fmt7.pd3);
 	    addr += sizeof(fp->un.fmt7);
 	    break;
 	case 0x9:
-	    printk("instr addr=%08lx\n", fp->un.fmt9.iaddr);
+	    printk(KERN_EMERG "instr addr=%08lx\n", fp->un.fmt9.iaddr);
 	    addr += sizeof(fp->un.fmt9);
 	    break;
 	case 0xa:
-	    printk("ssw=%04x isc=%04x isb=%04x daddr=%08lx dobuf=%08lx\n",
+	    printk(KERN_EMERG "ssw=%04x isc=%04x isb=%04x daddr=%08lx dobuf=%08lx\n",
 		   fp->un.fmta.ssw, fp->un.fmta.isc, fp->un.fmta.isb,
 		   fp->un.fmta.daddr, fp->un.fmta.dobuf);
 	    addr += sizeof(fp->un.fmta);
 	    break;
 	case 0xb:
-	    printk("ssw=%04x isc=%04x isb=%04x daddr=%08lx dobuf=%08lx\n",
+	    printk(KERN_EMERG "ssw=%04x isc=%04x isb=%04x daddr=%08lx dobuf=%08lx\n",
 		   fp->un.fmtb.ssw, fp->un.fmtb.isc, fp->un.fmtb.isb,
 		   fp->un.fmtb.daddr, fp->un.fmtb.dobuf);
-	    printk("baddr=%08lx dibuf=%08lx ver=%x\n",
+	    printk(KERN_EMERG "baddr=%08lx dibuf=%08lx ver=%x\n",
 		   fp->un.fmtb.baddr, fp->un.fmtb.dibuf, fp->un.fmtb.ver);
 	    addr += sizeof(fp->un.fmtb);
 	    break;
 	default:
-	    printk("\n");
+	    printk(KERN_EMERG "\n");
 	}
 	show_stack((unsigned long *)addr);
 
-	printk("Code: ");
+	printk(KERN_EMERG "Code: ");
 	for (i = 0; i < 10; i++)
-		printk("%04x ", 0xffff & ((short *) fp->ptregs.pc)[i]);
-	printk ("\n");
+		printk(KERN_EMERG "%04x ", 0xffff & ((short *) fp->ptregs.pc)[i]);
+	printk (KERN_EMERG "\n");
 }
 
 extern void show_stack(unsigned long *stack)
@@ -932,15 +932,15 @@
 		stack = (unsigned long *)&stack;
 	endstack = (unsigned long *)(((unsigned long)stack + THREAD_SIZE - 1) & -THREAD_SIZE);
 
-	printk("Stack from %08lx:", (unsigned long)stack);
+	printk(KERN_EMERG "Stack from %08lx:", (unsigned long)stack);
 	for (i = 0; i < kstack_depth_to_print; i++) {
 		if (stack + 1 > endstack)
 			break;
 		if (i % 8 == 0)
-			printk("\n       ");
-		printk(" %08lx", *stack++);
+			printk(KERN_EMERG "\n       ");
+		printk(KERN_EMERG " %08lx", *stack++);
 	}
-	printk("\n");
+	printk(KERN_EMERG "\n");
 	show_trace(stack);
 }
 
@@ -958,33 +958,33 @@
 {
 	console_verbose();
 	if (fp->ptregs.vector < 4*sizeof(vec_names)/sizeof(vec_names[0]))
-		printk ("*** %s ***   FORMAT=%X\n",
+		printk (KERN_EMERG "*** %s ***   FORMAT=%X\n",
 			vec_names[(fp->ptregs.vector) >> 2],
 			fp->ptregs.format);
 	else
-		printk ("*** Exception %d ***   FORMAT=%X\n",
+		printk (KERN_EMERG "*** Exception %d ***   FORMAT=%X\n",
 			(fp->ptregs.vector) >> 2, 
 			fp->ptregs.format);
 	if (fp->ptregs.vector >> 2 == VEC_ADDRERR && CPU_IS_020_OR_030) {
 		unsigned short ssw = fp->un.fmtb.ssw;
 
-		printk ("SSW=%#06x  ", ssw);
+		printk (KERN_EMERG "SSW=%#06x  ", ssw);
 
 		if (ssw & RC)
-			printk ("Pipe stage C instruction fault at %#010lx\n",
+			printk (KERN_EMERG "Pipe stage C instruction fault at %#010lx\n",
 				(fp->ptregs.format) == 0xA ?
 				fp->ptregs.pc + 2 : fp->un.fmtb.baddr - 2);
 		if (ssw & RB)
-			printk ("Pipe stage B instruction fault at %#010lx\n",
+			printk (KERN_EMERG "Pipe stage B instruction fault at %#010lx\n",
 				(fp->ptregs.format) == 0xA ?
 				fp->ptregs.pc + 4 : fp->un.fmtb.baddr);
 		if (ssw & DF)
-			printk ("Data %s fault at %#010lx in %s (pc=%#lx)\n",
+			printk (KERN_EMERG "Data %s fault at %#010lx in %s (pc=%#lx)\n",
 				ssw & RW ? "read" : "write",
 				fp->un.fmtb.daddr, space_names[ssw & DFC],
 				fp->ptregs.pc);
 	}
-	printk ("Current process id is %d\n", current->pid);
+	printk (KERN_EMERG "Current process id is %d\n", current->pid);
 	die_if_kernel("BAD KERNEL TRAP", &fp->ptregs, 0);
 }
 
@@ -1114,15 +1114,15 @@
 		return;
 
 	console_verbose();
-	printk("%s: %08x\n",str,nr);
-	printk("PC: [<%08lx>]\nSR: %04x  SP: %p  a2: %08lx\n",
+	printk(KERN_EMERG "%s: %08x\n",str,nr);
+	printk(KERN_EMERG "PC: [<%08lx>]\nSR: %04x  SP: %p  a2: %08lx\n",
 	       fp->pc, fp->sr, fp, fp->a2);
-	printk("d0: %08lx    d1: %08lx    d2: %08lx    d3: %08lx\n",
+	printk(KERN_EMERG "d0: %08lx    d1: %08lx    d2: %08lx    d3: %08lx\n",
 	       fp->d0, fp->d1, fp->d2, fp->d3);
-	printk("d4: %08lx    d5: %08lx    a0: %08lx    a1: %08lx\n",
+	printk(KERN_EMERG "d4: %08lx    d5: %08lx    a0: %08lx    a1: %08lx\n",
 	       fp->d4, fp->d5, fp->a0, fp->a1);
 
-	printk("Process %s (pid: %d, stackpage=%08lx)\n",
+	printk(KERN_EMERG "Process %s (pid: %d, stackpage=%08lx)\n",
 		current->comm, current->pid, PAGE_SIZE+(unsigned long)current);
 	show_stack((unsigned long *)fp);
 	do_exit(SIGSEGV);
diff -urN linux-2.6.0-test1/arch/m68k/mac/baboon.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/baboon.c
--- linux-2.6.0-test1/arch/m68k/mac/baboon.c	2003-07-13 23:36:33.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/baboon.c	2003-07-23 17:25:07.000000000 -0400
@@ -47,7 +47,7 @@
 	baboon_present = 1;
 	baboon_active = 0;
 
-	printk("Baboon detected at %p\n", baboon);
+	printk(KERN_INFO "Baboon detected at %p\n", baboon);
 }
 
 /*
@@ -70,7 +70,7 @@
 	unsigned char events;
 
 #ifdef DEBUG_IRQS
-	printk("baboon_irq: mb_control %02X mb_ifr %02X mb_status %02X active %02X\n",
+	printk(KERN_DEBUG "baboon_irq: mb_control %02X mb_ifr %02X mb_status %02X active %02X\n",
 		(uint) baboon->mb_control, (uint) baboon->mb_ifr,
 		(uint) baboon->mb_status,  baboon_active);
 #endif
@@ -98,7 +98,7 @@
 	int irq_idx	= IRQ_IDX(irq);
 
 #ifdef DEBUG_IRQUSE
-	printk("baboon_irq_enable(%d)\n", irq);
+	printk(KERN_DEBUG "baboon_irq_enable(%d)\n", irq);
 #endif
 	baboon_active |= (1 << irq_idx);
 }
@@ -107,7 +107,7 @@
 	int irq_idx	= IRQ_IDX(irq);
 
 #ifdef DEBUG_IRQUSE
-	printk("baboon_irq_disable(%d)\n", irq);
+	printk(KERN_DEBUG "baboon_irq_disable(%d)\n", irq);
 #endif
 	baboon_active &= ~(1 << irq_idx);
 }
diff -urN linux-2.6.0-test1/arch/m68k/mac/bootparse.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/bootparse.c
--- linux-2.6.0-test1/arch/m68k/mac/bootparse.c	2003-07-13 23:34:03.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/bootparse.c	2003-07-23 17:22:58.000000000 -0400
@@ -115,7 +115,7 @@
  		while(*env)
  			env++;
  		env++;
- 		printk("%s=%s\n", name,value);
+ 		printk(KERN_INFO "%s=%s\n", name,value);
  	}
  }
  
diff -urN linux-2.6.0-test1/arch/m68k/mac/debug.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/debug.c
--- linux-2.6.0-test1/arch/m68k/mac/debug.c	2003-07-13 23:38:39.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/debug.c	2003-07-23 19:10:48.000000000 -0400
@@ -65,12 +65,12 @@
 #endif
 
 #ifdef DEBUG_SERIAL
-	printk("debug: %d !\n", num);
+	printk(KERN_DEBUG "debug: %d !\n", num);
 #endif
 
 #ifdef DEBUG_SCREEN
 	if (!MACH_IS_MAC) {
-		/* printk("debug: %d !\n", num); */
+		/* printk(KERN_DEBUG "debug: %d !\n", num); */
 		return;
 	}
 
@@ -104,12 +104,12 @@
 #endif
 
 #ifdef DEBUG_SERIAL
-	printk("debug: #%ld !\n", addr);
+	printk(KERN_DEBUG "debug: #%ld !\n", addr);
 #endif
 
 #ifdef DEBUG_SCREEN
 	if (!MACH_IS_MAC) {
-		/* printk("debug: #%ld !\n", addr); */
+		/* printk(KERN_DEBUG "debug: #%ld !\n", addr); */
 		return;
 	}
 	
diff -urN linux-2.6.0-test1/arch/m68k/mac/iop.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/iop.c
--- linux-2.6.0-test1/arch/m68k/mac/iop.c	2003-07-13 23:38:06.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/iop.c	2003-07-23 19:10:22.000000000 -0400
@@ -278,10 +278,10 @@
 	int i;
 
 	if (iop_scc_present) {
-		printk("IOP: detected SCC IOP at %p\n", iop_base[IOP_NUM_SCC]);
+		printk(KERN_INFO "IOP: detected SCC IOP at %p\n", iop_base[IOP_NUM_SCC]);
 	}
 	if (iop_ism_present) {
-		printk("IOP: detected ISM IOP at %p\n", iop_base[IOP_NUM_ISM]);
+		printk(KERN_INFO "IOP: detected ISM IOP at %p\n", iop_base[IOP_NUM_ISM]);
 		iop_start(iop_base[IOP_NUM_ISM]);
 		iop_alive(iop_base[IOP_NUM_ISM]); /* clears the alive flag */
 	}
@@ -327,9 +327,9 @@
 					(void *) IOP_NUM_ISM);
 		}
 		if (!iop_alive(iop_base[IOP_NUM_ISM])) {
-			printk("IOP: oh my god, they killed the ISM IOP!\n");
+			printk(KERN_INFO "IOP: oh my god, they killed the ISM IOP!\n");
 		} else {
-			printk("IOP: the ISM IOP seems to be alive.\n");
+			printk(KERN_INFO "IOP: the ISM IOP seems to be alive.\n");
 		}
 	}
 }
@@ -367,7 +367,7 @@
 	int i,offset;
 
 #ifdef DEBUG_IOP
-	printk("iop_complete(%p): iop %d chan %d\n", msg, msg->iop_num, msg->channel);
+	printk(KERN_DEBUG "iop_complete(%p): iop %d chan %d\n", msg, msg->iop_num, msg->channel);
 #endif
 
 	offset = IOP_ADDR_RECV_MSG + (msg->channel * IOP_MSG_LEN);
@@ -415,7 +415,7 @@
 	int i,offset;
 
 #ifdef DEBUG_IOP
-	printk("iop_handle_send: iop %d channel %d\n", iop_num, chan);
+	printk(KERN_DEBUG "iop_handle_send: iop %d channel %d\n", iop_num, chan);
 #endif
 
 	iop_writeb(iop, IOP_ADDR_SEND_STATE + chan, IOP_MSG_IDLE);
@@ -448,7 +448,7 @@
 	struct iop_msg *msg;
 
 #ifdef DEBUG_IOP
-	printk("iop_handle_recv: iop %d channel %d\n", iop_num, chan);
+	printk(KERN_DEBUG "iop_handle_recv: iop %d channel %d\n", iop_num, chan);
 #endif
 
 	msg = iop_alloc_msg();
@@ -472,12 +472,12 @@
 		(*msg->handler)(msg, regs);
 	} else {
 #ifdef DEBUG_IOP
-		printk("iop_handle_recv: unclaimed message on iop %d channel %d\n", iop_num, chan);
-		printk("iop_handle_recv:");
+		printk(KERN_DEBUG "iop_handle_recv: unclaimed message on iop %d channel %d\n", iop_num, chan);
+		printk(KERN_DEBUG "iop_handle_recv:");
 		for (i = 0 ; i < IOP_MSG_LEN ; i++) {
-			printk(" %02X", (uint) msg->message[i]);
+			printk(KERN_DEBUG " %02X", (uint) msg->message[i]);
 		}
-		printk("\n");
+		printk(KERN_DEBUG "\n");
 #endif
 		iop_complete_message(msg);
 	}
@@ -592,7 +592,7 @@
 	int i,state;
 
 #ifdef DEBUG_IOP
-	printk("iop_ism_irq: status = %02X\n", (uint) iop->status_ctrl);
+	printk(KERN_DEBUG "iop_ism_irq: status = %02X\n", (uint) iop->status_ctrl);
 #endif
 
 	/* INT0 indicates a state change on an outgoing message channel */
@@ -600,40 +600,40 @@
 	if (iop->status_ctrl & IOP_INT0) {
 		iop->status_ctrl = IOP_INT0 | IOP_RUN | IOP_AUTOINC;
 #ifdef DEBUG_IOP
-		printk("iop_ism_irq: new status = %02X, send states",
+		printk(KERN_DEBUG "iop_ism_irq: new status = %02X, send states",
 			(uint) iop->status_ctrl);
 #endif
 		for (i = 0 ; i < NUM_IOP_CHAN  ; i++) {
 			state = iop_readb(iop, IOP_ADDR_SEND_STATE + i);
 #ifdef DEBUG_IOP
-			printk(" %02X", state);
+			printk(KERN_DEBUG " %02X", state);
 #endif
 			if (state == IOP_MSG_COMPLETE) {
 				iop_handle_send(iop_num, i, regs);
 			}
 		}
 #ifdef DEBUG_IOP
-		printk("\n");
+		printk(KERN_DEBUG "\n");
 #endif
 	}
 
 	if (iop->status_ctrl & IOP_INT1) {	/* INT1 for incoming msgs */
 		iop->status_ctrl = IOP_INT1 | IOP_RUN | IOP_AUTOINC;
 #ifdef DEBUG_IOP
-		printk("iop_ism_irq: new status = %02X, recv states",
+		printk(KERN_DEBUG "iop_ism_irq: new status = %02X, recv states",
 			(uint) iop->status_ctrl);
 #endif
 		for (i = 0 ; i < NUM_IOP_CHAN ; i++) {
 			state = iop_readb(iop, IOP_ADDR_RECV_STATE + i);
 #ifdef DEBUG_IOP
-			printk(" %02X", state);
+			printk(KERN_DEBUG " %02X", state);
 #endif
 			if (state == IOP_MSG_NEW) {
 				iop_handle_recv(iop_num, i, regs);
 			}
 		}
 #ifdef DEBUG_IOP
-		printk("\n");
+		printk(KERN_DEBUG "\n");
 #endif
 	}
 	return IRQ_HANDLED;
diff -urN linux-2.6.0-test1/arch/m68k/mac/macints.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/macints.c
--- linux-2.6.0-test1/arch/m68k/mac/macints.c	2003-07-13 23:37:23.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/macints.c	2003-07-23 19:08:33.000000000 -0400
@@ -228,7 +228,7 @@
         int i;
 
 #ifdef DEBUG_MACINTS
-	printk("mac_init_IRQ(): Setting things up...\n");
+	printk(KERN_DEBUG "mac_init_IRQ(): Setting things up...\n");
 #endif
 	/* Initialize the IRQ handler lists. Initially each list is empty, */
 
@@ -240,13 +240,13 @@
 
 	/* Make sure the SONIC interrupt is cleared or things get ugly */
 #ifdef SHUTUP_SONIC
-	printk("Killing onboard sonic... ");
+	printk(KERN_NOTICE "Killing onboard sonic... ");
 	/* This address should hopefully be mapped already */
 	if (hwreg_present((void*)(0x50f0a000))) {
 		*(long *)(0x50f0a014) = 0x7fffL;
 		*(long *)(0x50f0a010) = 0L;
 	}
-	printk("Done.\n");
+	printk(KERN_NOTICE "Done.\n");
 #endif /* SHUTUP_SONIC */
 
 	/* 
@@ -264,7 +264,7 @@
 	iop_register_interrupts();
 	sys_request_irq(7, mac_nmi_handler, IRQ_FLG_LOCK, "NMI", mac_nmi_handler);
 #ifdef DEBUG_MACINTS
-	printk("mac_init_IRQ(): Done!\n");
+	printk(KERN_DEBUG "mac_init_IRQ(): Done!\n");
 #endif
 }
 
@@ -279,7 +279,7 @@
 	irq_node_t *cur;
 
 	if (!node->dev_id)
-		printk("%s: Warning: dev_id of %s is zero\n",
+		printk(KERN_WARNING "%s: Warning: dev_id of %s is zero\n",
 		       __FUNCTION__, node->devname);
 
 	local_irq_save(flags);
@@ -327,7 +327,7 @@
 		}
 	}
 	local_irq_restore(flags);
-	printk ("%s: tried to remove invalid irq\n", __FUNCTION__);
+	printk (KERN_WARNING "%s: tried to remove invalid irq\n", __FUNCTION__);
 }
 
 /*
@@ -346,7 +346,7 @@
 
 #ifdef DEBUG_SPURIOUS
 	if (!mac_irq_list[irq] && (console_loglevel > 7)) {
-		printk("mac_do_irq_list: spurious interrupt %d!\n", irq);
+		printk(KERN_DEBUG "mac_do_irq_list: spurious interrupt %d!\n", irq);
 		return;
 	}
 #endif
@@ -504,7 +504,7 @@
 	irq_node_t *node;
 
 #ifdef DEBUG_MACINTS
-	printk ("%s: irq %d requested for %s\n", __FUNCTION__, irq, devname);
+	printk (KERN_DEBUG "%s: irq %d requested for %s\n", __FUNCTION__, irq, devname);
 #endif
 
 	if (irq < VIA1_SOURCE_BASE) {
@@ -512,7 +512,7 @@
 	}
 
 	if (irq >= NUM_MAC_SOURCES) {
-		printk ("%s: unknown irq %d requested by %s\n",
+		printk (KERN_WARNING "%s: unknown irq %d requested by %s\n",
 		        __FUNCTION__, irq, devname);
 	}
 
@@ -541,7 +541,7 @@
 void mac_free_irq(unsigned int irq, void *dev_id)
 {
 #ifdef DEBUG_MACINTS
-	printk ("%s: irq %d freed by %p\n", __FUNCTION__, irq, dev_id);
+	printk (KERN_DEBUG "%s: irq %d freed by %p\n", __FUNCTION__, irq, dev_id);
 #endif
 
 	if (irq < VIA1_SOURCE_BASE) {
@@ -549,7 +549,7 @@
 	}
 
 	if (irq >= NUM_MAC_SOURCES) {
-		printk ("%s: unknown irq %d freed\n",
+		printk (KERN_ERR "%s: unknown irq %d freed\n",
 		        __FUNCTION__, irq);
 		return;
 	}
@@ -640,7 +640,7 @@
 void mac_default_handler(int irq, void *dev_id, struct pt_regs *regs)
 {
 #ifdef DEBUG_SPURIOUS
-	printk("Unexpected IRQ %d on device %p\n", irq, dev_id);
+	printk(KERN_DEBUG "Unexpected IRQ %d on device %p\n", irq, dev_id);
 #endif
 }
 
@@ -649,7 +649,7 @@
 irqreturn_t mac_debug_handler(int irq, void *dev_id, struct pt_regs *regs)
 {
 	if (num_debug[irq] < 10) {
-		printk("DEBUG: Unexpected IRQ %d\n", irq);
+		printk(KERN_DEBUG "DEBUG: Unexpected IRQ %d\n", irq);
 		num_debug[irq]++;
 	}
 	return IRQ_HANDLED;
@@ -672,9 +672,9 @@
 
 	if (in_nmi == 1) {
 		nmi_hold = 1;
-		printk("... pausing, press NMI to resume ...");
+		printk(KERN_NOTICE "... pausing, press NMI to resume ...");
 	} else {
-		printk(" ok!\n");
+		printk(KERN_NOTICE " ok!\n");
 		nmi_hold = 0;
 	}
 
@@ -686,15 +686,15 @@
 	if ( console_loglevel >= 8 ) {
 #if 0
 		show_state();
-		printk("PC: %08lx\nSR: %04x  SP: %p\n", fp->pc, fp->sr, fp);
-		printk("d0: %08lx    d1: %08lx    d2: %08lx    d3: %08lx\n",
+		printk(KERN_EMERG "PC: %08lx\nSR: %04x  SP: %p\n", fp->pc, fp->sr, fp);
+		printk(KERN_EMERG "d0: %08lx    d1: %08lx    d2: %08lx    d3: %08lx\n",
 		       fp->d0, fp->d1, fp->d2, fp->d3);
-		printk("d4: %08lx    d5: %08lx    a0: %08lx    a1: %08lx\n",
+		printk(KERN_EMERG "d4: %08lx    d5: %08lx    a0: %08lx    a1: %08lx\n",
 		       fp->d4, fp->d5, fp->a0, fp->a1);
 	
 		if (STACK_MAGIC != *(unsigned long *)current->kernel_stack_page)
-			printk("Corrupted stack page\n");
-		printk("Process %s (pid: %d, stackpage=%08lx)\n",
+			printk(KERN_EMERG "Corrupted stack page\n");
+		printk(KERN_EMERG "Process %s (pid: %d, stackpage=%08lx)\n",
 			current->comm, current->pid, current->kernel_stack_page);
 		if (intr_count == 1)
 			dump_stack((struct frame *)fp);
diff -urN linux-2.6.0-test1/arch/m68k/mac/misc.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/misc.c
--- linux-2.6.0-test1/arch/m68k/mac/misc.c	2003-07-13 23:34:32.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/misc.c	2003-07-23 17:23:41.000000000 -0400
@@ -227,7 +227,7 @@
 	ct = 0;
 	do {
 		if (++ct > 10) {
-			printk("via_read_time: couldn't get valid time, "
+			printk(KERN_WARNING "via_read_time: couldn't get valid time, "
 			       "last read = 0x%08lx and 0x%08lx\n",
 			       last_result.idata, result.idata);
 			break;
@@ -405,7 +405,7 @@
 #endif
 	}
 	local_irq_enable();
-	printk("It is now safe to turn off your Macintosh.\n");
+	printk(KERN_ALERT "It is now safe to turn off your Macintosh.\n");
 	while(1);
 }
 
@@ -494,7 +494,7 @@
 
 	/* should never get here */
 	local_irq_enable();
-	printk ("Restart failed.  Please restart manually.\n");
+	printk (KERN_ALERT "Restart failed.  Please restart manually.\n");
 	while(1);
 }
 
@@ -595,10 +595,10 @@
 		unmktime(now, 0,
 			 &t->tm_year, &t->tm_mon, &t->tm_mday,
 			 &t->tm_hour, &t->tm_min, &t->tm_sec);
-		printk("mac_hwclk: read %04d-%02d-%-2d %02d:%02d:%02d\n",
+		printk(KERN_NOTICE "mac_hwclk: read %04d-%02d-%-2d %02d:%02d:%02d\n",
 			t->tm_year + 1900, t->tm_mon + 1, t->tm_mday, t->tm_hour, t->tm_min, t->tm_sec);
 	} else { /* write */
-		printk("mac_hwclk: tried to write %04d-%02d-%-2d %02d:%02d:%02d\n",
+		printk(KERN_NOTICE "mac_hwclk: tried to write %04d-%02d-%-2d %02d:%02d:%02d\n",
 			t->tm_year + 1900, t->tm_mon + 1, t->tm_mday, t->tm_hour, t->tm_min, t->tm_sec);
 
 #if 0	/* it trashes my rtc */
diff -urN linux-2.6.0-test1/arch/m68k/mac/oss.c linux-2.6.0-test1-printk-m68k/arch/m68k/mac/oss.c
--- linux-2.6.0-test1/arch/m68k/mac/oss.c	2003-07-13 23:34:02.000000000 -0400
+++ linux-2.6.0-test1-printk-m68k/arch/m68k/mac/oss.c	2003-07-23 17:22:38.000000000 -0400
@@ -102,7 +102,7 @@
 
 #ifdef DEBUG_IRQS	
 	if ((console_loglevel == 10) && !(events & OSS_IP_SCSI)) {
-		printk("oss_irq: irq %d events = 0x%04X\n", irq,
+		printk(KERN_DEBUG "oss_irq: irq %d events = 0x%04X\n", irq,
 			(int) oss->irq_pending);
 	}
 #endif
@@ -138,7 +138,7 @@
 
 #ifdef DEBUG_NUBUS_INT
 	if (console_loglevel > 7) {
-		printk("oss_nubus_irq: events = 0x%04X\n", events);
+		printk(KERN_DEBUG "oss_nubus_irq: events = 0x%04X\n", events);
 	}
 #endif
 	/* There are only six slots on the OSS, not seven */
@@ -165,7 +165,7 @@
 
 void oss_irq_enable(int irq) {
 #ifdef DEBUG_IRQUSE
-	printk("oss_irq_enable(%d)\n", irq);
+	printk(KERN_DEBUG "oss_irq_enable(%d)\n", irq);
 #endif
 	switch(irq) {
 		case IRQ_SCC:
@@ -190,7 +190,7 @@
 			break;
 #ifdef DEBUG_IRQUSE
 		default:
-			printk("%s unknown irq %d\n",__FUNCTION__, irq);
+			printk(KERN_DEBUG "%s unknown irq %d\n",__FUNCTION__, irq);
 			break;
 #endif
 	}
@@ -205,7 +205,7 @@
 
 void oss_irq_disable(int irq) {
 #ifdef DEBUG_IRQUSE
-	printk("oss_irq_disable(%d)\n", irq);
+	printk(KERN_DEBUG "oss_irq_disable(%d)\n", irq);
 #endif
 	switch(irq) {
 		case IRQ_SCC:
@@ -230,7 +230,7 @@
 			break;
 #ifdef DEBUG_IRQUSE
 		default:
-			printk("%s unknown irq %d\n", __FUNCTION__, irq);
+			printk(KERN_DEBUG "%s unknown irq %d\n", __FUNCTION__, irq);
 			break;
 #endif
 	}
